Subject: [pafree] Offer: High backed car booster seat with armrests, cup holder 30-80lbs (I think)

From: "componenx" <[email-masked]>
Date: Mon, 02 Apr 2007 19:01:57 -0000

The is a high backed booster seat with arm rests and cup holder,
designed to use the rear seatbelt/shoulder harness as the restraint. 
It's kind of a dark gray/purple pattern. It's in good shape except
that a mouse nibbled on the cover in the area around the rear of the
seat and bottom of the back. It's not all that bad (you can cover it
up with two fingers) and not eaten all the way though.  The anchor 
strap is untouched. For 30+ lb child.